Vai al contenuto

# F_GET_QTA_IMPEGNATA

## Codice Sorgente

```sql FUNCTION "F_GET_QTA_IMPEGNATA" ( p_codart VARCHAR2, p_data_from DATE, p_data_to DATE DEFAULT NULL ) RETURN NUMBER AS v_qta NUMBER; v_data_to DATE := p_data_to; BEGIN v_qta := 0; IF ( p_data_to IS NULL ) THEN v_data_to := p_data_from; END IF; BEGIN SELECT nvl(SUM(qta_imp), 0) INTO v_qta FROM v_impegni_articoli WHERE cod_articolo = p_codart --and data <= p_data -- AND data BETWEEN p_data_from AND v_data_to; -- qta impegnata per quella data

    EXCEPTION
        WHEN OTHERS THEN
            v_qta := 0;
    END;

    RETURN v_qta;

END;```